Get Ad Insertion Logs
Returns ad insertion log lines for the zone. Not paginated server-side; narrow the marker/end_marker range for large windows.
curl -X GET "https://api.5centscdn.com/v2/zones/vod/pull/42/adinsertion/logs?source=service&order=desc&marker=42&end_marker=42" \
-H "Content-Type: application/json" \
-H "X-API-Key: YOUR_API_KEY"
import requests
import json
url = "https://api.5centscdn.com/v2/zones/vod/pull/42/adinsertion/logs?source=service&order=desc&marker=42&end_marker=42"
headers = {
"Content-Type": "application/json",
"X-API-Key": "YOUR_API_KEY"
}
response = requests.get(url, headers=headers)
print(response.json())
const response = await fetch("https://api.5centscdn.com/v2/zones/vod/pull/42/adinsertion/logs?source=service&order=desc&marker=42&end_marker=42", {
method: "GET",
headers: {
"Content-Type": "application/json",
"X-API-Key": "YOUR_API_KEY"
}
});
const data = await response.json();
console.log(data);
package main
import (
"fmt"
"net/http"
)
func main() {
req, err := http.NewRequest("GET", "https://api.5centscdn.com/v2/zones/vod/pull/42/adinsertion/logs?source=service&order=desc&marker=42&end_marker=42", nil)
if err != nil {
panic(err)
}
req.Header.Set("Content-Type", "application/json")
req.Header.Set("X-API-Key", "YOUR_API_KEY")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
fmt.Println("Response Status:", resp.Status)
}
require 'net/http'
require 'json'
uri = URI('https://api.5centscdn.com/v2/zones/vod/pull/42/adinsertion/logs?source=service&order=desc&marker=42&end_marker=42')
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true
request = Net::HTTP::Get.new(uri)
request['Content-Type'] = 'application/json'
request['X-API-Key'] = 'YOUR_API_KEY'
response = http.request(request)
puts response.body
{
"result": "success",
"data": [
{
"time": 1778066400000,
"level": "info",
"action": "adserver.request",
"name": "Ad Server Request",
"id": 18,
"state": "enabled",
"message": "Fetched VAST response in 214ms"
}
]
}
GET
/zones/vod/pull/{zoneid}/adinsertion/logsGET
Base URLstring
Target server for requests. Edit to use your own host.
API Key (header: X-API-Key)
X-API-Keystring
RequiredAPI key (sent in header)
path
zoneidinteger
RequiredZone ID
query
sourcestring
RequiredLog source to read from.
Options: live, ad-server, slate, service
query
orderstring
Options: asc, desc
query
markerinteger
Cursor - start of the time window, Unix epoch milliseconds.
Format: int64
query
end_markerinteger
Cursor - end of the time window, Unix epoch milliseconds.
Format: int64
Request Preview
Response
Response will appear here after sending the request
Authentication
header
X-API-Keystring
RequiredAPI Key for authentication. Provide your API key in the header.
Path Parameters
Query Parameters
orderstring
Allowed values:
ascdescmarkerinteger
Cursor - start of the time window, Unix epoch milliseconds.
end_markerinteger
Cursor - end of the time window, Unix epoch milliseconds.
Responses
resultstring
Allowed values:
successerrordataarray
Was this page helpful?